
scoreboard players add @a timer 1
effect give @a minecraft:saturation 100000 100 true

#particles
execute as @e[tag=stp] at @s run execute if entity @a[distance=..10] run particle minecraft:falling_dust gravel ~ ~3 ~ 5 5 5 1 1 force
execute as @e[tag=redr] at @s run execute if entity @a[distance=..15] run particle minecraft:falling_dust red_wool ~ ~7 ~ 8 1 8 1 1 force

#puzzles
execute as @e[tag=goldp] at @s run execute if blocks -6 -63 -17 -6 -63 -17 -6 -62 -17 all run function coms:puzzles/golds
execute as @e[tag=watp] at @s run execute if block ~ ~ ~ water run data merge entity 0dd32e40-c12a-4c33-90b5-4ad664be4dee {Fixed:0b}

execute unless block 36 -59 18 air run execute if block 29 -60 15 redstone_ore[lit=true] run execute if block 34 -60 16 redstone_ore[lit=true] run execute if block 35 -60 22 redstone_ore[lit=true] run execute if block 33 -60 25 redstone_ore[lit=true] run execute if block 34 -60 26 redstone_ore[lit=true] run fill 36 -58 18 36 -59 18 air destroy
execute unless block 18 -61 -24 air run execute if block 16 -61 -23 lever[powered=true] run execute if block 20 -61 -23 lever[powered=true] run fill 19 -62 -24 17 -60 -24 air destroy

execute unless block -9 -57 -44 chest{Lock:""} run execute if entity @e[tag=p1,nbt={ItemRotation:6b}] run execute if entity @e[tag=p2,nbt={ItemRotation:7b}] run execute if entity @e[tag=p3,nbt={ItemRotation:1b}] run execute if entity @e[tag=p4,nbt={ItemRotation:1b}] run data merge block -9 -57 -44 {Lock:""}

execute as @e[type=creeper] at @s run execute if block ~ ~-1 ~ minecraft:pointed_dripstone run kill @s
execute as @e[type=creeper] at @s run execute if block ~ ~ ~ minecraft:lava run kill @s

execute as @a at @s run execute if block ~ ~-1 ~ polished_andesite_slab run fill ~ ~-1 ~ ~ ~-1 ~-1 air destroy

execute if blocks 26 -38 -47 26 -35 -49 27 -41 -40 all run fill 28 -43 -34 28 -43 -35 redstone_torch
execute if blocks -7 -25 -56 -5 -25 -56 -7 -25 -53 all run fill -9 -28 -52 -9 -28 -53 minecraft:redstone_torch
execute at @e[tag=end] run title @a[distance=..6] title {"text":"You escaped!","color":"dark_purple"}
execute as @e[tag=good] at @s run execute if entity @a[distance=..10] run data merge entity @s {CustomNameVisible:1}
execute at @e[tag=end] run execute if entity @a[scores={timer=..36000},distance=..6] run advancement grant @a only ad:speed
execute at @e[tag=end] run execute if entity @a[scores={noded=..0},distance=..6] run advancement grant @p only ad:nodie
execute at @e[tag=end] run execute if entity @a[distance=..6] run advancement grant @p only ad:finish
execute at @e[tag=end] run tp @a[distance=..6] -39.20 -6.00 -44.45

#code
execute as @e[tag=coder] at @s run execute unless block ~ ~ ~ air run execute unless block ~ ~ ~ cobbled_deepslate run tp @s ~1 ~ ~
execute as @e[tag=coder] at @s run execute if block ~ ~ ~ minecraft:cobbled_deepslate run function coms:puzzles/code/test

execute as @e[tag=panel] at @s run execute if entity @a[distance=..2] run function coms:puzzles/code/panel
execute as @e[tag=panel] at @s run execute unless entity @a[distance=..2] run function coms:puzzles/code/fail
execute as @e[tag=panel] at @s run tag @a[distance=2..] remove seen

#potion
execute as @e[tag=brewc] at @s run execute unless block ~ ~ ~ air run execute unless block ~ ~ ~ cobbled_deepslate run tp @s ~1 ~ ~
execute as @e[tag=brew] at @s run execute if entity @e[nbt={Item:{tag:{brew:1}}},distance=..0.8] run function coms:potionr/clcode
execute as @e[tag=brewc] at @s run execute if block ~ ~ ~ minecraft:cobbled_deepslate run function coms:potionr/potsumm

#tnt
execute as @e[tag=fuse] at @s run execute if block ~ ~ ~ tnt run function coms:tnt/fuse

#furnace
execute if block -17 -61 -15 minecraft:blast_furnace{Items:[{id:"minecraft:magma_block"}]} run function coms:furnace/furnacemain
execute unless block -17 -61 -15 minecraft:blast_furnace{Items:[{id:"minecraft:magma_block"}]} run execute unless block 9 -59 -45 redstone_torch run function coms:furnace/shutd
execute if block -17 -61 -15 minecraft:blast_furnace{Items:[{tag:{blow:1}}]} run function coms:furnace/explode

#sworld
execute as @e[tag=out] at @s run particle cloud ~ ~0.5 ~ 0.1 0.5 0.1 0.02 2 force
execute as @e[tag=out] at @s run execute as @a[distance=..1] run function coms:sworld/out

